| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
LTC2668_backpage_app.ino File Reference
Digital-to-Analog Converters (DAC) » LTC2668 16-Channel SPI 16-/12-Bit +/-10V Vout SoftSpan DACs with 10ppm/C Max Reference

Linear Technology DC2025A Demonstration Board. More...

## Detailed Description

Linear Technology DC2025A Demonstration Board.

LTC2668: 16 Channel SPI 16-/12-Bit Rail-to-Rail DACs with 10ppm/C Max Reference.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator.

       This program uses the DC1908A along with the DC2025A demo board.
       The program is based on an application note located near the end
       of the LTC2668 datasheet. Follow the schematic to properly connect
       the Linduino to the two demo boards.

       An external +- 15V power supply is required to power the circuit.

       The program displays calculated voltages which are based on the voltage
       of the reference used, be it internal or external. A precision voltmeter
       is needed to verify the actual measured voltages against the calculated
       voltage displayed. If an external reference is used, a precision voltage
       source is required to apply the external reference voltage. A
       precision voltmeter is also required to measure the external reference
       voltage.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2668

http://www.linear.com/product/LTC2668#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file LTC2668_backpage_app.ino.

Go to the source code of this file.

## Functions
static void | demo_board_test ()
| Set DAC's From -10V to 10V, Reads DAC Channels Through MUX, and Displays The Results. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Displays The Prompt. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Macros
#define | LTC2378_CS 9

## Function Documentation

## ◆ demo_board_test()

static void demo_board_test | ( |  | ) |
| static

Set DAC's From -10V to 10V, Reads DAC Channels Through MUX, and Displays The Results.

Definition at line 146 of file LTC2668_backpage_app.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 112 of file LTC2668_backpage_app.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Displays The Prompt.

Definition at line 121 of file LTC2668_backpage_app.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 129 of file LTC2668_backpage_app.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 97 of file LTC2668_backpage_app.ino.

## Macro Definition Documentation

## ◆ LTC2378_CS

#define LTC2378_CS 9

Definition at line 89 of file LTC2668_backpage_app.ino.